Summary:        USB network redirection protocol libraries
Name:           usbredir
Version:        0.13.0
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://www.spice-space.org/usbredir.html
Source0:        http://spice-space.org/download/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  gcc g++ glib2-devel meson
BuildRequires:  libusb1-devel git-core

%description
usbredir is the name of a network protocol for sending USB device traffic
over a network connection. It is also the name of the software package
offering a parsing library, a usbredirhost library and several utilities
implementing this protocol.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        server
Summary:        Simple USB host TCP server
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description    server
A simple USB host TCP server, using libusbredirhost.


%prep
%autosetup


%build
%meson \
    -Dgit_werror=disabled \
    -Dtools=enabled \
    -Dfuzzing=disabled

%meson_build


%install
%meson_install


%files
%license COPYING.LIB
%{_libdir}/libusbredir*.so.*

%files devel
%doc docs/usb-redirection-protocol.md docs/multi-thread.md ChangeLog.md TODO
%{_includedir}/usbredir*.h
%{_libdir}/libusbredir*.so
%{_libdir}/pkgconfig/libusbredir*.pc

%files server
%license COPYING
%{_bindir}/usbredirect
%{_mandir}/man1/usbredirect.1*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 Miaojun Dong <zoedong@tencent.com> - 0.13.0-1
- Bump version to 0.13.0
- usbredirserver is deprecated in favor of usbredirect
- usbredirect can be used as a client or server through different parameters

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Miaojun Dong <zoedong@tencent.com> - 0.12.0-1
- initial build
